<?php
/* -----------------------------------------------------------------------------
  Plugin     : Advanced Search Engine
  Author     : Grum
    email    : grum@piwigo.org
    website  : http://photos.grum.fr

    << May the Little SpaceFrog be with you ! >>
  ------------------------------------------------------------------------------
  See main.inc.php for release information

  ASE_PIP : classe to manage plugin public pages

  --------------------------------------------------------------------------- */

include_once('ase_root.class.inc.php');

class ASE_PIP extends ASE_root
{

  protected $css2;

  public function __construct($prefixeTable, $filelocation)
  {
    parent::__construct($prefixeTable, $filelocation);
    $this->css2 = new GPCCss(dirname($this->getFileLocation()).'/'.$this->getPluginNameFiles()."2.css");
    $this->loadConfig();
    $this->initEvents();
    $this->load_lang();
  }

  public function __destruct()
  {
    parent::__destruct();
  }

  /*
    load language file
  */
  public function load_lang()
  {
    global $lang;

    load_language('plugin.lang', ASE_PATH);
  }

  /*
    initialize events call for the plugin
  */
  public function initEvents()
  {
    parent::initEvents();

    add_event_handler('loc_end_page_header', array(&$this->css2, 'applyCSS'));
  }



  /* -------------------------------------------------------------------------
    FUNCTIONS TO MANAGE ASE
  ------------------------------------------------------------------------- */





} //class

?>
